Subject: Re: bug#34614: 26.1.92; When reading input in mini-buffer, message to each area overide the input prompt

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Feb 2019 09:26:26 +0200

> Date: Fri, 22 Feb 2019 22:38:05 +0100
> From: martin rudalics <[email-masked]>
> 
> > Steps to reproduce the bug:
> > 1. start emacs with emacs -Q
> > 2. M-x global-auto-revert-mode
> > 3. Open a test file with emacs
> > 4. M-x find-file, it will prompt and read file name
> > 5.  modify the test file with other tool and save the file
> > 6. emacs will revert the file and print a message like "Reverting buffer xxx”.
> > 7. the find-file ui will not come back.
> 
> It comes back here with the next character I type.  I have no idea how
> to fix this.  At least sitting for 'minibuffer-message-timeout' in
> 'auto-revert-handler' when the minibuffer depth is greater zero won't
> cut it - the message gets cleared immediately and minibuffer contents
> are restored.  Some 'sit-for' snafu, I suppose.

Could we use the technique used in with-temp-message?  That macro
cannot be used directly here, I think, because reverting a buffer
might ask some questions.  But maybe we could do something similar by
hand inside revert-buffer--default?